Any Solution??

I'm using the 4.9.9.2 version of Dev c++ and im trying to use the "cout" function, id included the "ostream.h" and the iostream.h files but wen i try to compile en execute i get the next errors:

line 2 C:Dev-Cppincludec++3.4.2ackwardostream.h:31, from X:TONCHOc++
um_romanos.cpp In file included from C:/Dev-Cpp/include/c++/3.4.2/backward/ostream.h:31, from X:TONCHOc++
um_romanos.cpp

line 2 X:TONCHOc++
um_romanos.cpp from X:TONCHOc++
um_romanos.cpp

line 32:2 C:Dev-Cppincludec++3.4.2ackwardackward_warning.h #warning This file includes at least one deprecated or antiquated header. Please consider using one of the 32 headers found in section 17.4.1.2 of the C++ standard. Examples include substituting the header for the header for C++ includes, or instead of the deprecated header . To disable this warning use -Wno-deprecated.
X:TONCHOc++
um_romanos.cpp In member function `void convert::cs()':
line 80 X:TONCHOc++
um_romanos.cpp expected primary-expression before "void"
line 80 X:TONCHOc++
um_romanos.cpp expected `;' before "void"
i'll be eternally Grateful

Comments

  • : I'm using the 4.9.9.2 version of Dev c++ and im trying to use the "cout" function, id included the "ostream.h" and the iostream.h files but wen i try to compile en execute i get the next errors:
    :

    ostream.h and iostream.h are obsolete. Use the files without the .h extension
    [code]
    include
    #include

    using namespace std;
    // rest of program here
    [/code]

Sign In or Register to comment.

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Categories

In this Discussion